Skip to main content
`Ctrl`+`K`

# numpy.ma.identity

ma.identity(n, dtype=None) = <numpy.ma.core._convert2ma object>

  Return the identity array.

  The identity array is a square array with ones on the main diagonal.

  Parameters:
    n int

      Number of rows (and columns) in n x n output.

    dtype data-type, optional

      Data-type of the output. Defaults to `float`.

    like array_like, optional

      > Reference object to allow the creation of arrays which are not NumPy arrays. If an array-like passed in as `like` supports the `__array_function__` protocol, the result will be defined by it. In this case, it ensures the creation of an array object compatible with that passed in via this argument.

      Added in version 1.20.0.

  Returns:
    out MaskedArray

      n x n array with its main diagonal set to one, and all other elements 0.

  Examples

      >>> import numpy as np
      >>> np.identity(3)
      array([[1.,  0.,  0.],
             [0.,  1.,  0.],
             [0.,  0.,  1.]])